
#include <checks.h>
#include <xvt.h>

extern int ve2100(int argc, char* argv[]);  // tabelle sconti (di riga/di documento/incondizionati)          
extern int ve2200(int argc, char* argv[]);  // testate listini/contratti/offerte
extern int ve2300(int argc, char* argv[]);  // righe listini/contratti/offerte
extern int ve2400(int argc, char* argv[]);  // anagrafica di magazzino



int main( int argc, char** argv) {
  int rt= -1;
  const int r= (argc>1)?(atoi(&argv[1][1])):(-1);

  switch (r) {
  case 0: rt = ve2100(argc, argv); break;
        case 1: rt = ve2200(argc, argv); break;
        case 2: rt = ve2300(argc, argv); break;
        case 3: rt = ve2400(argc, argv); break;
        default: error_box("Sintassi: %s -[0 [R|D|I] | 1 [L|C|O] | 2 [L|C|O] | 3]", argv[0]); break;
        }
  return (rt);
}
